book:
  chapters:
    - index.qmd
    - part: national/CH/index.qmd
      chapters:
        - national/CH/big_picture.qmd
        - national/CH/n_referendums.qmd
        - national/CH/types.qmd
        - national/CH/topics.qmd
        - national/CH/turnout.qmd
        - national/CH/outcomes.qmd
        - national/CH/congruence.qmd
        - national/CH/conclusion.qmd
    - part: overall/index.qmd
      chapters:
        - overall/n_referendums_ballot_dates.qmd
        - overall/trend_analysis.qmd
      # - overall/legal_basis.qmd
        - overall/referendum_regime_type.qmd
        - overall/turnout.qmd
        - overall/topics.qmd
  # - part: regional/index.qmd
  #   chapters:
  #     - regional/africa/index.qmd
  #     - regional/americas/index.qmd
  #     - regional/asia/index.qmd
  #     - regional/europe/index.qmd
  #     - regional/oceania/index.qmd
    - glossary.qmd
    - bibliography.qmd
    - imprint.qmd
  appendices:
    - hypothesis.qmd
    - tech.qmd

knitr:
  opts_chunk:
    dev: svglite
    dev.args:
      # set default plot background color, cf. https://svglite.r-lib.org/reference/svglite.html#arg-bg
      # NOTE that this color should be identical to `funky::config_val_default('plot_color_bg', pkg = 'salim')`
      bg: "#f2f2f2"

custom:
  incl_part_overall: true
  incl_part_national_CH: true
